import { readFileAndParse, parseNumberList } from '../util'
import { FILENAME, GACHA_CONTENT_TYPE } from '../../consts'

export interface DicGachaContent {
    // 内容id
    readonly id: number;
    // 道具类型 见sysConst 中的 GACHA_CONTENT_TYPE
    readonly type: number;
    // 对应参数 品质，等级，物品id 等
    readonly param: number[];
    // 道具数量
    readonly count: number;
}

export const dicGachaContent = new Map<number, DicGachaContent>(); // id => dic
export const dicGachaContentHero = new Map<number, number>(); // quality => dic
export function loadGachaContent() {

    let arr = readFileAndParse(FILENAME.DIC_GACHA_CONTENT);

    arr.forEach(o => {
        o.param = parseNumberList(o.param);
        if(o.type == GACHA_CONTENT_TYPE.HERO) {
            dicGachaContentHero.set(o.param[0], o.id);
        }
        dicGachaContent.set(o.id, o);
    });
    
    arr = undefined;
}